Am 07.01.2007 um 14:26 schrieb Martin Aspeli:

However, surely, if we agree that it's premature to do so, commenting out the line that sends a DeprecationWarning won't be much of a change?

That's just plain silly! The warning is the best way of informing developers: "explicit is better than implicit". I agree with Jens that should go through the archive discussions on this which covered compatability issue. Anyway third party developers should be aware of and checking for the version for their dependencies (I'd like a utility for this for CMF but that's another issue) so that Product X can be categorised as working with CMF versions 1.6 and 2.0 but perhaps not 2.1.

+1 to go ahead with Jens' branch.


Charlie Clark
Helmholtzstr. 20
D- 40215
Tel: +49-211-938-5360
GSM: +49-178-782-6226

Zope-CMF maillist  -

See for bug reports and feature requests

Reply via email to